function onBegin()
	
	disableMovement()
	makeUnskippable()
	disableRetry()
	say("KtA_CTSD_FIN_08")
	wait(0.5)
    walk(54,false,0.7)
	setFlag("ctsd_fin02",true)
	
end

function onEnd(room, wasSkipped)
	if (wasSkipped) then completeArea(false, false) end

end